net.sourceforge.pmd.lang.java.ast

## Class JavaParserTokenManager

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractTokenManager
  - - net.sourceforge.pmd.lang.java.ast.JavaParserTokenManager

- All Implemented Interfaces:
    JavaParserConstants

      public class JavaParserTokenManager
      extends AbstractTokenManager
      implements JavaParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Comment>` | `comments`
    `protected char` | `curChar`
    `PrintStream` | `debugStream` Debug output.
    `protected CharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractTokenManager

      `suppressMap, suppressMarker`

    - ### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.JavaParserConstants

      `_DEFAULT, ABSTRACT, ANDASSIGN, ASSIGN, AT, BANG, BINARY_LITERAL, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DO, DOT, DOUBLE, ELLIPSIS, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_FLOATING_POINT_LITERAL, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PART_LETTER, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaParserTokenManager(CharStream stream)` Constructor.
    `JavaParserTokenManager(CharStream stream, int lexState)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(CharStream stream)` Reinitialise parser.
    `void` | `ReInit(CharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractTokenManager

      `getFileName, getSuppressMap, setFileName, setSuppressMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### comments

          protected List<Comment> comments

    - #### debugStream

          public PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### JavaParserTokenManager

          public JavaParserTokenManager(CharStream stream)

      Constructor.

    - #### JavaParserTokenManager

          public JavaParserTokenManager(CharStream stream,
                                int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(CharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(CharStream stream,
                    int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2002-2013 InfoEther. All Rights Reserved.